package com.jeeplus.modules.sg.managementcenter.project.entity;

import com.jeeplus.core.persistence.DataEntity;

import java.util.List;

/**
 * 信息信息基础类
 * */
public class Project extends DataEntity<Project> {
    //储备项目暂定名称
    private String reserveProjectName;
    //储备项目暂定名称列表
    private List<String> reserveList;
    //项目定义
    private String projectId;
    //项目名称
    private String projectName;
    //项目基础信息表
    private BasicInformation basicInformation;
    //拆旧表信息
    private TearDown tearDown;
    //施工任务分配信息
    private Assignment assignment;
    //交底计划安排
    private DisclosurePlan disclosurePlan;
    //项目立项信息
    private Approval approval;
    //交底状态
    private String status;
    //领料状态
    private String acquisitionStatus;
    //土建状态
    private String advanceStatus;
    //施工状态
    private String constructionStatus;
    //是否项目关闭
    private String whetherCloseStatus;
    //结算状态
    private String settStatus;
    //政策处理状态
    private String policyStatus;
    //判断项目是否可以提前发起领料
    private String earlyMaterial;
    //判断项目是否可以提前施工
    private String preConstruction;
    //判断项目是否可以提前土建
    private String advanceConstruction;
    //是否可以进场
    private String canEnter;
    //计划安排状态
    private String arrageProject;
    //是否二次涉电
    private String secondPower;
    //项目类型
    private String projectType;
    //流程实例id
    private String procInsId;
    //
    private String attributionYear;

    public String getReserveProjectName() {
        return reserveProjectName;
    }

    public void setReserveProjectName(String reserveProjectName) {
        this.reserveProjectName = reserveProjectName;
    }

    public List<String> getReserveList() {
        return reserveList;
    }

    public void setReserveList(List<String> reserveList) {
        this.reserveList = reserveList;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public BasicInformation getBasicInformation() {
        return basicInformation;
    }

    public void setBasicInformation(BasicInformation basicInformation) {
        this.basicInformation = basicInformation;
    }

    public TearDown getTearDown() {
        return tearDown;
    }

    public void setTearDown(TearDown tearDown) {
        this.tearDown = tearDown;
    }

    public Assignment getAssignment() {
        return assignment;
    }

    public void setAssignment(Assignment assignment) {
        this.assignment = assignment;
    }

    public DisclosurePlan getDisclosurePlan() {
        return disclosurePlan;
    }

    public void setDisclosurePlan(DisclosurePlan disclosurePlan) {
        this.disclosurePlan = disclosurePlan;
    }

    public Approval getApproval() {
        return approval;
    }

    public void setApproval(Approval approval) {
        this.approval = approval;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getAcquisitionStatus() {
        return acquisitionStatus;
    }

    public void setAcquisitionStatus(String acquisitionStatus) {
        this.acquisitionStatus = acquisitionStatus;
    }

    public String getAdvanceStatus() {
        return advanceStatus;
    }

    public void setAdvanceStatus(String advanceStatus) {
        this.advanceStatus = advanceStatus;
    }

    public String getConstructionStatus() {
        return constructionStatus;
    }

    public void setConstructionStatus(String constructionStatus) {
        this.constructionStatus = constructionStatus;
    }

    public String getWhetherCloseStatus() {
        return whetherCloseStatus;
    }

    public void setWhetherCloseStatus(String whetherCloseStatus) {
        this.whetherCloseStatus = whetherCloseStatus;
    }

    public String getSettStatus() {
        return settStatus;
    }

    public void setSettStatus(String settStatus) {
        this.settStatus = settStatus;
    }

    public String getPolicyStatus() {
        return policyStatus;
    }

    public void setPolicyStatus(String policyStatus) {
        this.policyStatus = policyStatus;
    }

    public String getEarlyMaterial() {
        return earlyMaterial;
    }

    public void setEarlyMaterial(String earlyMaterial) {
        this.earlyMaterial = earlyMaterial;
    }

    public String getPreConstruction() {
        return preConstruction;
    }

    public void setPreConstruction(String preConstruction) {
        this.preConstruction = preConstruction;
    }

    public String getAdvanceConstruction() {
        return advanceConstruction;
    }

    public void setAdvanceConstruction(String advanceConstruction) {
        this.advanceConstruction = advanceConstruction;
    }

    public String getCanEnter() {
        return canEnter;
    }

    public void setCanEnter(String canEnter) {
        this.canEnter = canEnter;
    }

    public String getArrageProject() {
        return arrageProject;
    }

    public void setArrageProject(String arrageProject) {
        this.arrageProject = arrageProject;
    }

    public String getSecondPower() {
        return secondPower;
    }

    public void setSecondPower(String secondPower) {
        this.secondPower = secondPower;
    }

    public String getProjectType() {
        return projectType;
    }

    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    public String getProcInsId() {
        return procInsId;
    }

    public void setProcInsId(String procInsId) {
        this.procInsId = procInsId;
    }

    public String getAttributionYear() {
        return attributionYear;
    }

    public void setAttributionYear(String attributionYear) {
        this.attributionYear = attributionYear;
    }
}
